### 5.1.122 prune

`Syntax:`
  `prune (` module_expression `)`
`Type:`
  module
`Purpose:`
  returns the module minimally embedded in a free module such that the corresponding factor modules are isomorphic.
`Note:`
  If for the input module the attribute `"isHomog"` is set, `prune` also sets the attribute `"isHomog"`.
  For non-global orderings, only reduction steps with constant units are performed. Hence, the returned module does not need to be minimal.
`Note: The coefficiensts must be a field.`
`Example:`

        ring r=0,(x,y,z),dp;
        module m=gen(1),gen(3),[x,y,0,z],[x+y,0,0,0,1];
        print(m);
      ==> 1,0,x,x+y,
      ==> 0,0,y,0,
      ==> 0,1,0,0,
      ==> 0,0,z,0,
      ==> 0,0,0,1
        print(prune(m));
      ==> y,
      ==> z

See module.

User manual for Singular version 4.4.1, 2025, generated by texi2html.